Arch Floor/pl: Difference between revisions

From FreeCAD Documentation
(Created page with "==Użycie==")
(Created page with "==Opcje==")
Line 35: Line 35:
#* Using the {{MenuCommand|Arch → Floor}} entry from the top menu.
#* Using the {{MenuCommand|Arch → Floor}} entry from the top menu.


==Options==
<span id="Options"></span>
==Opcje==


* After creating a floor, you can add more objects to it by drag and dropping them in the Tree View or by using the {{Button|[[Image:Arch Add.svg|16px]] [[Arch Add|Arch Add]]}} tool.
* After creating a floor, you can add more objects to it by drag and dropping them in the Tree View or by using the {{Button|[[Image:Arch Add.svg|16px]] [[Arch Add|Arch Add]]}} tool.

Revision as of 11:45, 1 April 2024

Architektura: Kondygnacja

Lokalizacja w menu
Architektura → Budynek
Środowisko pracy
Architektura
Domyślny skrót
L V
Wprowadzono w wersji
-
Zobacz także
Budynek, Część budynku, Teren

Opis

Kondygnacje są specjalnym typem obiektu grupy FreeCAD, który posiada kilka dodatkowych właściwości szczególnie przydatnych dla pięter budynków. W szczególności posiadają właściwość wysokości, którą mogą wykorzystać dziecięce obiekty (ściany i konstrukcje) do automatycznego ustawiania swojej wysokości. Są one głównie używane do organizacji modelu.

Od version 0.18 and above obiekt Kondygnacja wywodzi się w całości z obiektu Część budynku, który jest ogólnym kontenerem do organizowania modelu budynku, nie ograniczonym do pięter lub kondygnacji. Starsze obiekty Kondygnacja można przekonwertować na nowy typ, klikając je prawym przyciskiem myszy i wybierając Konwertuj na Część budynku.

Użycie

  1. Optionally, select one or more objects to be included in your new floor.
  2. Invoke the Arch Floor command several ways:
    • Pressing the Arch Floor button on the toolbar.
    • Using the L then V keyboard keys.
    • Using the Arch → Floor entry from the top menu.

Opcje

  • After creating a floor, you can add more objects to it by drag and dropping them in the Tree View or by using the Arch Add tool.
  • You can remove objects from a floor by drag and dropping them out of it the Tree View or by using the Arch Remove tool.

Properties

An Arch Floor object shares all properties from an Arch BuildingPart, with the DANEIfc Type set to "Building Storey".

Scripting

See also: Arch API and FreeCAD Scripting Basics.

The Floor tool can be used in macros and from the Python console by using the following function:

Floor = makeFloor(objectslist=None, baseobj=None, name="Floor")
  • Creates a Floor object from objectslist, which is a list of objects.

Example:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
baseline2 = Draft.makeLine(p1, -1*p2)

Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
Wall2 = Arch.makeWall(baseline2, length=None, width=150, height=1800)
FreeCAD.ActiveDocument.recompute()

Floor = Arch.makeFloor([Wall1, Wall2])

Building = Arch.makeBuilding([Floor])
Site = Arch.makeSite(Building)
FreeCAD.ActiveDocument.recompute()